# Generated from attribute_cache-0.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name attribute_cache

Name: rubygem-%{gem_name}
Version: 0.2.3
Release: 1%{?dist}
Summary: A simple Rails plugin that provides the ability to cache a value to a model attribute
License: MIT
URL: https://github.com/jacoblockard99/RailsAttributeCache.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(factory_bot_rails) >= 6.1.0
# BuildRequires: rubygem(factory_bot_rails) < 6.2
# BuildRequires: rubygem(rspec-rails) >= 4.0.2
# BuildRequires: rubygem(rspec-rails) < 4.1
BuildArch: noarch

%description
A simple Rails plugin that provides the ability to cache a value to a model
attribute. The attribute will be automatically set if necessary, retrieved
when requested, and can be manually invalidated.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Sun Sep 12 2021 mockbuilder - 0.2.3-1
- Initial package
